unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Printers ;

type
  TForm1 = class(TForm)
    FontDialog1: TFontDialog;
    Panel1: TPanel;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Splitter1: TSplitter;
    RichEdit1: TRichEdit;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private 錾 }
	 function Spaces(v:integer):string ;
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
	if (FontDialog1.Execute) then begin
		Edit1.Font := FontDialog1.Font ;
   end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
	i,j,k : Integer ;
   s,ss : String ;
begin
	RichEdit1.Lines.Clear ;
	j := 0 ;
	k := 0 ;
   for i:=0 to Printer.Fonts.Count-1 do begin
   	s := Printer.Fonts.Strings[i] ;
      if (s[1] = '@') then continue ;
      with RichEdit1 do begin
			ss := '['+s+']' + Spaces(32-Length(s)) + Edit1.Text ;
     		Lines.Add(ss);
			SelStart := j ;
         SelLength := 34 ;
         SelAttributes.Name := 'lr ' ;
         SelAttributes.Size := 10 ;
			SelStart := j + 34 ;
         SelLength := Length(ss);
         SelAttributes.Name := s ;
         SelAttributes.Size := Edit1.Font.Size ;
      end;
		j := j + Length(ss) + 2 ;
		Inc(k);
  	   if ((k mod 10) = 0) then begin
	      with RichEdit1 do begin
				Lines.Add('------------------------------------------------------------');
				SelStart  := j ;
   	      SelLength := 60 ;
      	   SelAttributes.Name := 'lr ' ;
         	SelAttributes.Size := 10 ;
				j := j + 60 + 2 ;
      	end;
		end;
   end;
	RichEdit1.SelLength := 0 ;
end;

function TForm1.Spaces(v:integer):string ;
var
	i : integer ;
	s : String ;
begin
	s := '' ;
	for i:=1 to v do
		s := s + ' ' ;
	Result := s ;
end;

end.
